import { Extension } from '../../@codemirror/state';
import { EditorView } from '../../@codemirror/view';

/**
 * 只读区域范围接口
 */
export interface ReadOnlyRange {
    /**
     * 开始位置
     */
    start: number;
    /**
     * 结束位置
     */
    end: number;
}
/**
 * 处理只读区域
 *
 * @param ranges - 只读区域范围数组
 * @returns 编辑器扩展
 */
export declare function readOnlyRanges(initialRanges: ReadOnlyRange[]): Extension;
/**
 * 获取编辑器当前的只读区域
 *
 * @param view - 编辑器视图
 * @returns 当前的只读区域范围
 */
export declare function getCurrentReadOnlyRanges(view: EditorView): ReadOnlyRange[];
/**
 * 更新编辑器中的只读区域
 *
 * @param view - 编辑器视图
 * @param ranges - 新的只读区域范围
 */
export declare function updateReadOnlyRanges(view: EditorView, ranges: ReadOnlyRange[]): void;
