/**
 * 区块内容项接口
 */
export interface ContentBlock {
    /**
     * 区块的文本内容
     */
    content: string;
    /**
     * 区块是否可编辑
     */
    editable: boolean;
}
/**
 * 编辑器数据接口
 */
export interface EditorData {
    /**
     * 编辑器文本内容
     */
    value: string;
    /**
     * 不可编辑区域范围
     */
    readOnlyRanges: Array<{
        start: number;
        end: number;
    }>;
}
/**
 * 将内容区块列表转换为编辑器数据对象
 *
 * @param blocks - 内容区块列表
 * @returns 编辑器数据对象，包含完整文本和只读区域
 */
export declare const blocksToEditorData: (blocks: ContentBlock[]) => EditorData;
